This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 841353 (CVE-2012-1734)

Summary: CVE-2012-1734 mysql: unspecified DoS vulnerability related to Server Optimizer (CPU Jul 2012)
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: byte, hhorak, kvolny, mfisher, tkramer
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120718,reported=20120717,source=internet,cvss2=4.0/AV:N/AC:L/Au:S/C:N/I:N/A:P,rhel-5/mysql=new,rhel-6/mysql=affected,fedora-all/mysql=affected,openshift-1/mysql=affected
Fixed In Version: mysql 5.1.63, mysql 5.5.24 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-01-21 10:18:06 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 871813, 871814    
Bug Blocks: 832540, 833743    

Description Vincent Danen 2012-07-18 14:36:24 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-1734 to
the following vulnerability:

Name: CVE-2012-1734
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1734
Assigned: 20120316
Reference: http://www.oracle.com/technetwork/topics/security/cpujul2012-392727.html

Unspecified vulnerability in Oracle MySQL Server 5.1.62 and earlier,
and 5.5.23 and earlier, allows remote authenticated users to affect
availability via unknown vectors related to Server Optimizer.
Comment 2 Tomas Hoger 2012-08-03 05:53:55 EDT
Reviewing changes between 5.1.62 and 5.1.63, there are several fixes that are likely all hidden under this single CVE.  All these were also fixed in 5.5 in between 5.5.23 and 5.5.24.
Comment 3 Tomas Hoger 2012-08-03 05:55:21 EDT
http://bazaar.launchpad.net/~mysql/mysql-server/5.1/revision/3560.10.16
Bug#11766300 59387: FAILING ASSERTION: CURSOR->POS_STATE == 1997660512 (BTR_PCUR_IS_POSITIONE
Bug#13639204 64111: CRASH ON SELECT SUBQUERY WITH NON UNIQUE INDEX

This previously got CVE-2012-2749 assigned, but the assignment was ignored by upstream.  The issue is tracked via bug #833737.
Comment 4 Tomas Hoger 2012-08-03 05:56:18 EDT
http://bazaar.launchpad.net/~mysql/mysql-server/5.1/revision/3560.10.13
Bug#13031606 VALUES() IN A SELECT STATEMENT CRASHES SERVER

This problem is not reproducible on mysql packages in Red Hat Enterprise Linux 5.
Comment 5 Tomas Hoger 2012-08-03 05:57:05 EDT
http://bazaar.launchpad.net/~mysql/mysql-server/5.1/revision/3560.10.3
Bug#13519724 63793: CRASH IN DTCOLLATION::SET(DTCOLLATION &SET)

This also affects 5.0 packages in Red Hat Enterprise Linux 5.
Comment 7 errata-xmlrpc 2012-11-14 15:53:17 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1462 https://rhn.redhat.com/errata/RHSA-2012-1462.html